// 菜单
export const system = [
    { title: '首页', normal: '/image/tabs/home.png', active: '/image/tabs/home_1.png', route: 'pages/home/index', type: '0' },
    { title: '资讯', normal: '/image/tabs/news.png', active: '/image/tabs/news_1.png', route: 'pages/news/index', type: '0' },
    { title: '话题', normal: '/image/tabs/topic.png', active: '/image/tabs/topic_1.png', route: 'pages/topic/index', type: '0' },
    { title: '我的', normal: '/image/tabs/my.png', active: '/image/tabs/my_1.png', route: 'pages/my/index', type: '0' },
]
// 比赛状态
export const match_status = [
    { label: '', value: '全部' },
    { label: '0', value: '报名中' },
    { label: '1', value: '报名截止' },
    { label: '2', value: '报名结束' },
    { label: '3', value: '发布秩序册' },
    { label: '4', value: '比赛中' },
    { label: '5', value: '比赛结束' },
]
// 赛事类别
export const matchType = [
    { label: '团体赛', value: '团体赛' },
    { label: '单项赛', value: '单项赛' },

]
// 我的页面，功能按钮
// -1:管理员，0：普通用户，1：裁判用户
export const myBtn = [
    {
        type: '-1',
        btn: [
            {
                title: '用户管理',
                route: 'user/index',
                routeList: []
            },
            {
                title: '赛事管理',
                routeList: [
                    { title: '信息管理', route: 'match/mess' },
                    { title: '报名管理', route: 'match/sign' },
                    { title: '组队信息管理', route: 'match/shteam' },
                    { title: '赛事组管理', route: 'raceteam/index' },
                    { title: '小组赛管理', route: 'race/index' },
                    { title: '淘汰赛管理', route: 'eliminate/index' },
                ]
            },
            {
                title: '新闻管理',
                routeList: [
                    { title: '资讯信息管理', route: 'news/mess' },
                    { title: '话题信息管理', route: 'topic/mess' },
                ]
            },
            {
                title: '订单管理',
                route: 'order/index',
                routeList: []
            },
            {
                title: '字典管理',
                routeList: [
                    { title: '比赛项目管理', route: 'dictionary/project' },
                    { title: '比赛场地管理', route: 'dictionary/address' },
                ]
            },
            {
                title: '账号管理',
                routeList: [
                    { title: '资料修改', route: 'setting/basic' },
                    { title: '联系我们', route: 'setting/contact' },
                ]
            },
        ]
    },
    {
        type: '0',
        btn: [
            {
                title: '我的赛事',
                route: 'usermymatch/index',
                routeList: []
            },
            {
                title: '我的报名',
                route: 'usermysign/index',
                routeList: []
            },
            {
                title: '组队信息',
                route: 'usermyteam/index',
                routeList: []
            },
            {
                title: '我的订单',
                route: 'usermyorder/index',
                routeList: []
            },
            {
                title: '账号管理',
                routeList: [
                    { title: '资料修改', route: 'setting/basic' },
                    { title: '联系我们', route: 'setting/contact' },
                ]
            },
        ]
    },
    {
        type: '1',
        btn: [
            {
                title: '我的赛事',
                routeList: [
                    { title: '小组赛管理', route: 'referee/group' },
                    { title: '淘汰赛管理', route: 'referee/eliminate' },
                ]
            },
            {
                title: '账号管理',
                routeList: [
                    { title: '资料修改', route: 'setting/basic' },
                    { title: '联系我们', route: 'setting/contact' },
                ]
            },
        ]
    }
]
// 性别
export const gender = [
    { label: '男', value: '男' },
    { label: '女', value: '女' },
    { label: '未知', value: '未知' },
]
// 用户类别
export const type = [
    { label: '普通用户', value: '0' },
    { label: '裁判用户', value: '1' },
]
export const match_project = [
    { label: '单打', value: '单打' },
    { label: '双打', value: '双打' },
]
export const is_use_project = [
    { label: '启用', value: '0' },
    { label: '禁用', value: '1' },
]
export const is_show_project = [
    { label: '公开', value: '0' },
    { label: '不公开', value: '1' },
]
export const examine_status = [
    { label: '待审核', value: '0' },
    { label: '审核通过', value: '1' },
    { label: '审核拒绝', value: '-1' }
]
export const paystatusList = [
    { label: '未支付', value: '0' },
    { label: '支付成功', value: '1' },
    { label: '支付失败', value: '-1' },
    { label: '申请退款', value: '-2' },
    { label: '已退款', value: '-3' },
]
//资讯类型
export const news_type = [
    { label: '其他', value: '0' },
    { label: '羽毛球', value: '1' },
];
// 小组赛赛程状态
export const race_status = [
    { label: '已安排', value: '0' },
    { label: '待开赛', value: '1' },
    { label: '已开赛', value: '2' },
    { label: '已结束', value: '3' },
]